%define maj 2
%define min 0

Summary:     RTSP Proxy Kit
Name:        osrtspproxy
Version:     %{maj}.%{min}
Release:     4.pp
License:     RTSP Proxy
Group:       Environment/Daemons
Source0:     http://docs.real.com/docs/proxykit/%{name}_%{maj}_%{min}.tar.gz
Source1:     rtspproxy.init
Source2:     rtspproxy.sysconfig
Patch0:      %{name}-%{version}-build.patch
Patch1:      %{name}-%{version}-tlist.patch
URL:         http://www.rtsp.org/2001/proxy/
Buildroot:   /var/tmp/%{name}-root
Vendor:      RealNetworks
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig /sbin/chkconfig /usr/sbin/groupadd
Prereq:      /usr/sbin/useradd
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel


%description
The RTSP Proxy Kit is a reference implementation of an RTSP
proxy. The 2.0 version includes several notable enhancements
to the RTSP Proxy Kit since the previous release:

* A modular, object-oriented implementation of the RTSP proxy,
  with improved support.
* Correct handling of all transport information exchanged by
  means of the SETUP method.
* Support for Windows platforms.
* Modifications to the command-line parameters.


%prep
%setup -q -n %{name}_%{maj}_%{min}
%patch0 -p1
%patch1 -p0


%build
./configure \
	--with-debug
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/lib/rtspproxy
mkdir -p $RPM_BUILD_ROOT/var/log/rtspproxy
install -m 0755 rtspproxy/rtspproxy $RPM_BUILD_ROOT/usr/sbin
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rtspproxy
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rtspproxy


%pre
if ! grep rtspd /etc/group > /dev/null 2>&1; then
  /usr/sbin/groupadd rtspd > /dev/null 2>&1
fi
if ! grep rtspd /etc/passwd > /dev/null 2>&1; then
  /usr/sbin/useradd -g rtspd -G rtspd -d /var/lib/rtspproxy \
	-r -s /dev/null rtspd > /dev/null 2>&1
fi


%post
/sbin/chkconfig --add rtspproxy
/sbin/chkconfig rtspproxy on
if [ -f /var/lock/subsys/rtspproxy ]; then
  /etc/rc.d/init.d/rtspproxy restart
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig rtspproxy off
  /sbin/chkconfig --del rtspproxy
  if [ -f /var/lock/subsys/rtspproxy ]; then
    /etc/rc.d/init.d/rtspproxy stop
  fi
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE rtspproxy/Manual
/etc/rc.d/init.d/*
%config(noreplace) %attr(644,root,root) /etc/sysconfig/*
/usr/sbin/*
%dir /var/lib/rtspproxy
%dir %attr(750,rtspd,rtspd) /var/log/rtspproxy


%changelog
* Wed Aug 03 2005 peter.pramberger@member.fsf.org
- created

